<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://xmlns.jcp.org/jsf/html">

    <body>

        <ui:composition template="./../WEB-INF/modelo.xhtml">

            <ui:define name="content">
                <p:fieldset legend="Pesquisa de Professor">
                    
                    <p:panelGrid columns="2">
                        <p:outputLabel value="Código" for="txtCodigo"/>
                        <p:inputText id="txtCodigo" value="#{pesquisaProfessorBean.codigo}" />
                         <p:outputLabel value="Nome:" for="txtNome"/>
                         <p:inputText id="txtNome" value="#{pesquisaProfessorBean.nome}" />
                         <p:outputLabel value="CPF:" for="txtCPF"/>
                         <p:inputText id="txtCPF" value="#{pesquisaProfessorBean.cpf}" />
                        <h:panelGroup >
                            <p:commandButton 
                                value="Pesquisar" 
                                action="#{pesquisaProfessorBean.pesquisar}"
                                update="tabelaProfessor"
                                />
                        </h:panelGroup>
                        
                    </p:panelGrid>
                    
                    
                    
                </p:fieldset>
                
                <p:dataTable id="tabelaProfessor" var="professor" value="#{pesquisaProfessorBean.lista}">
                    <p:column headerText="Código" style="width: 40px">
                        #{professor.id}
                    </p:column>
                     <p:column headerText="Nome">
                        #{professor.nome}
                    </p:column>
                     <p:column headerText="CPf">
                        #{professor.cpf}
                    </p:column>
                    
                    
                    
                </p:dataTable>
                
                
                
            </ui:define>

        </ui:composition>

    </body>
</html>
